Bug 3470 - (int-87049) Control panel needs fullscreen mode
(int-87049)
: Control panel needs fullscreen mode
Status: RESOLVED WONTFIX
Product: Settings and Maintenance
Control panel
: 4.1 (4.2008.23-14)
: All Maemo
: Low enhancement (vote)
: 5.0 (1.2009.41-10)
Assigned To: unassigned
: control-panel-bugs
:
: community-diablo, easyfix, patch
:
:
  Show dependency tree
 
Reported: 2008-07-20 00:15 UTC by Ryan Abel
Modified: 2009-10-22 07:57 UTC (History)
4 users (show)

See Also:


Attachments
hildon-control-panel with fullscreen mode (patch) (1.69 KB, patch)
2008-07-20 13:27 UTC, Daniel Martin Yerga
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Ryan Abel (reporter) maemo.org 2008-07-20 00:15:20 UTC
With the increasing number of third-party control panels, it'd make viewing the
whole list somewhat easier if Control panel offered a fullscreen mode.
Currently, pressing the fullscreen button in Control panel has no effect.

User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US)
AppleWebKit/523 (KHTML, like Gecko, Safari/523.10) OmniWeb/v621.0.99313
Comment 1 Daniel Martin Yerga 2008-07-20 13:27:21 UTC
Created an attachment (id=830) [details]
hildon-control-panel with fullscreen mode (patch)

Though this is a 'easyfix' bug, I have added a patch for if someone need built
the package with support for fullscreen.
Comment 2 Andre Klapper maemo.org 2008-07-21 19:11:54 UTC
dyerga: feel free to set the patch keyword. :-)
Comment 3 Tao.Wu 2008-08-26 08:43:23 UTC
thanks yerga,add 2 simple function´╝łone is supervised the current condition ,the
other is replied the action´╝ë to the source.this bug can be solved~
actually,you can compare other application:-)
Comment 4 Andre Klapper maemo.org 2008-10-28 16:07:16 UTC
Only thing I can currently say is that this is a WONTFIX for Diablo...
Comment 5 Ryan Abel (reporter) maemo.org 2008-10-28 16:10:06 UTC
Can't eve(In reply to comment #4)
> Only thing I can currently say is that this is a WONTFIX for Diablo...
> 

Can't even get them to apply a stupid page-long patch, eh? Yet more typically
useless behavior from Nokia.

Who do I need to email to get this fixed?
Comment 6 Andrew Flegg maemo.org 2008-10-28 17:58:15 UTC
(In reply to comment #4)
> Only thing I can currently say is that this is a WONTFIX for Diablo...

Is this a "UI Specification" issue? There seems to be no technical reason why
not, and the patch is provided. Are no more diablo releases timetabled? That'd
be independent of actually accepting the patch.
Comment 7 Andre Klapper maemo.org 2008-10-28 18:04:50 UTC
No, not a UI spec issue. And I think there will be more Diablo updates
published. It's just that the later you are in the cycle, the less less
important stuff you accept...
Comment 8 Ryan Abel (reporter) maemo.org 2008-11-18 02:08:38 UTC
(In reply to comment #7)
> No, not a UI spec issue. And I think there will be more Diablo updates
> published. It's just that the later you are in the cycle, the less less
> important stuff you accept...
> 

I'll reiterate what I said in bug #2639 here: I don't think it's unreasonable
to expect that Nokia would spend 5 minutes to apply and ship community-provided
patches (especially trivial ones) considering that many of these sorts of bugs
have simply been ignored by Nokia until the opportunity to ship new fixes with
Diablo has gone away.

Not accepting these patches is really community-hostile, especially as the next
generation of software is unlikely to run on current hardware (you guys really
don't want to go into another 770 situation without a little compromise,
especially after promising at least 2 rounds of support--and, no, Diablo does
not count).
Comment 9 Roope Rainisto nokia 2008-11-27 11:56:53 UTC
This is wontfix for Fremantle, due to reasons that will become obvious once
Fremantle is released. Sorry I can't tell more at this time.
Comment 10 Lucas Maneos 2009-10-22 07:57:26 UTC
Marking patches of interest to Diablo (Maemo4) community updates, please excuse
the noise.